Create a new Group Disconnection Request
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/group_disconnection_requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_id": "5200a894-81c5-4c41-8519-86c32e9a9965",
"effective_end_date": "2025-01-01",
"group_id": "f833ac4b-36aa-46f4-826c-0badcfe27922"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/group_disconnection_requests"
payload = {
"carrier_id": "5200a894-81c5-4c41-8519-86c32e9a9965",
"effective_end_date": "2025-01-01",
"group_id": "f833ac4b-36aa-46f4-826c-0badcfe27922"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_id: '5200a894-81c5-4c41-8519-86c32e9a9965',
effective_end_date: '2025-01-01',
group_id: 'f833ac4b-36aa-46f4-826c-0badcfe27922'
})
};
fetch('https://fulfillment.noyo.com/api/v1/group_disconnection_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/group_disconnection_requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'carrier_id' => '5200a894-81c5-4c41-8519-86c32e9a9965',
'effective_end_date' => '2025-01-01',
'group_id' => 'f833ac4b-36aa-46f4-826c-0badcfe27922'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/group_disconnection_requests"
payload := strings.NewReader("{\n \"carrier_id\": \"5200a894-81c5-4c41-8519-86c32e9a9965\",\n \"effective_end_date\": \"2025-01-01\",\n \"group_id\": \"f833ac4b-36aa-46f4-826c-0badcfe27922\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/group_disconnection_requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"carrier_id\": \"5200a894-81c5-4c41-8519-86c32e9a9965\",\n \"effective_end_date\": \"2025-01-01\",\n \"group_id\": \"f833ac4b-36aa-46f4-826c-0badcfe27922\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/group_disconnection_requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_id\": \"5200a894-81c5-4c41-8519-86c32e9a9965\",\n \"effective_end_date\": \"2025-01-01\",\n \"group_id\": \"f833ac4b-36aa-46f4-826c-0badcfe27922\"\n}"
response = http.request(request)
puts response.read_body{
"carrier_id": "5200a894-81c5-4c41-8519-86c32e9a9965",
"completed": null,
"created": 1557329939,
"decided": 1557329939,
"effective_end_date": "2025-01-01",
"group_id": "f833ac4b-36aa-46f4-826c-0badcfe27922",
"group_name": "Besta LLC",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557329939,
"organization_id": "ca72d1e1-56a6-46ac-b400-a91e1f6b893a",
"source_id": null,
"source_type": "platform",
"status": "processing",
"version": "5200a894-81c5-4c41-8519-86c32e9a9965"
}{
"message": "Protected group disconnection is forbidden without an internal override."
}Disconnections
Create Group Disconnection Request
Create a new group disconnection request
POST
/
api
/
v1
/
group_disconnection_requests
Create a new Group Disconnection Request
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/group_disconnection_requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_id": "5200a894-81c5-4c41-8519-86c32e9a9965",
"effective_end_date": "2025-01-01",
"group_id": "f833ac4b-36aa-46f4-826c-0badcfe27922"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/group_disconnection_requests"
payload = {
"carrier_id": "5200a894-81c5-4c41-8519-86c32e9a9965",
"effective_end_date": "2025-01-01",
"group_id": "f833ac4b-36aa-46f4-826c-0badcfe27922"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_id: '5200a894-81c5-4c41-8519-86c32e9a9965',
effective_end_date: '2025-01-01',
group_id: 'f833ac4b-36aa-46f4-826c-0badcfe27922'
})
};
fetch('https://fulfillment.noyo.com/api/v1/group_disconnection_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/group_disconnection_requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'carrier_id' => '5200a894-81c5-4c41-8519-86c32e9a9965',
'effective_end_date' => '2025-01-01',
'group_id' => 'f833ac4b-36aa-46f4-826c-0badcfe27922'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/group_disconnection_requests"
payload := strings.NewReader("{\n \"carrier_id\": \"5200a894-81c5-4c41-8519-86c32e9a9965\",\n \"effective_end_date\": \"2025-01-01\",\n \"group_id\": \"f833ac4b-36aa-46f4-826c-0badcfe27922\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/group_disconnection_requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"carrier_id\": \"5200a894-81c5-4c41-8519-86c32e9a9965\",\n \"effective_end_date\": \"2025-01-01\",\n \"group_id\": \"f833ac4b-36aa-46f4-826c-0badcfe27922\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/group_disconnection_requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_id\": \"5200a894-81c5-4c41-8519-86c32e9a9965\",\n \"effective_end_date\": \"2025-01-01\",\n \"group_id\": \"f833ac4b-36aa-46f4-826c-0badcfe27922\"\n}"
response = http.request(request)
puts response.read_body{
"carrier_id": "5200a894-81c5-4c41-8519-86c32e9a9965",
"completed": null,
"created": 1557329939,
"decided": 1557329939,
"effective_end_date": "2025-01-01",
"group_id": "f833ac4b-36aa-46f4-826c-0badcfe27922",
"group_name": "Besta LLC",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557329939,
"organization_id": "ca72d1e1-56a6-46ac-b400-a91e1f6b893a",
"source_id": null,
"source_type": "platform",
"status": "processing",
"version": "5200a894-81c5-4c41-8519-86c32e9a9965"
}{
"message": "Protected group disconnection is forbidden without an internal override."
}Authorizations
Body
application/json
Response
Successful Response - Returns the new GroupDisconnectionRequest
Was this page helpful?
